# -*- coding: iso8859-1 -*-
"""
   default configuration
"""
import os

# If you are executing logicaldesktop.py from a directory that does
# not contain img/, then change this to an absolute path:
resourceDir = "./"
imgDir = resourceDir + "img/"

lang = 'en' # default
#lang = 'de' # for trying german i18n
#lang = 'it' # for trying italian i18n

userHome = os.path.expanduser('~/')
dataDir = userHome + '.logicaldesktop/'

# <add comment>
gFlashingTimeForList = 6
gFlashingTimeForButtons = 4
gFlashingTimeForText = 108

gMaxItemsInRecentLocMenu = 20

gListBoxMarginOfFlashingVBox = 5
gListBoxMarginOfNonFlashingVBox = 1

gWrappingButton_DistanceOfTextFromBorder = 8
gSpaceAboveTextSeparator = 13
gSpaceBelowTextSeparator = 11
gEnterLocationButtonWidth = 40
gItemIconWt = 30
gMinItemHt = 28

from config_programs import programs
from config_supports import supports
from config_typeicons import typeToIcon
from config_verbs import verbs


