"""
    programs configuration
"""
configured_programs = [
    # (name, shellname, icon),
    ("Xpdf", "xpdf", "xpdf.png"),
    ("Filelight", "i586-linux-filelight", "generic.png"),
    ("Gnome terminal", "gnome-terminal", "gnome-terminal.png"),
    ("Konsole", "konsole", "konsole.png"),
    ("ATerm", "aterm", "konsole.png"),
    ("Logical Desktop", "none", "italian-flag.png"),
    ("Kfind", "kfind", "kfind.png"),
    ("Gedit", "gedit", "gedit.png"),
    ("Kwrite", "kwrite", "kwrite.png"),
    ("Gvim", "gvim", "generic.png"),
    ("KRename", "krename", "name.png"),
    ("Kmix", "kmix", "kmix.png"),
    ("Aumix", "aumix", "aumix.png"),
    ("Ksnapshot", "ksnapshot", "ksnapshot.png"),
    ("Gnome screenshot", "gnome-screenshot", "gnome-screenshot.png"),
    ("Kde control center", "kcontrol", "kcontrol.png"),
    ("Kparted", "kparted", "devices.png"),
    ("QTparted", "qtparted", "devices.png"),
    ("Diskdrake", "diskdrake", "diskdrake.png"),
    ("Kdiskfree", "kdf", "kdiskfree.png"),
    ("Kaudiocreator", "kaudiocreator", "generic.png"),
    ("ripperX", "ripperX", "generic.png"),
    ("Video-DVDrip", "dvdrip", "cdrom.png"),
    ("Kgpg", "kgpg", "kgpg.png"),
    ("Ark", "ark", "ark.png"),
    ("Kuickshow", "kuickshow", "kuickshow.png"),
    ("Eye of Gnome", "eog", "eog.png"),
    ("Gthumb", "gthumb", "gthumb.png"),
    ("Korganizer", "korganizer", "korganizer.png"),
    ("Sylpheed", "sylpheed", "sylpheed.png"),
    ("Kpdf", "kpdf", "generic.png"),
    ("Kghostview", "kghostview", "kghostview.png"),
    ("Kdvi", "kdvi", "kdvi.png"),
    ("Xdvi", "xdvi", "generic.png"),
    ("Gpdf", "gpdf", "gpdf.png"),
    ("Acrobat reader", "acroread", "generic.png"),
    ("Bzip2", "bzip2", "generic.png"),
    ("Zip", "zip", "generic.png"),
    ("Gzip", "gzip", "generic.png"),
    ("Rar", "rar", "generic.png"),
    ("The gimp", "gimp", "gimp.png"),
    ("K3b", "k3b", "k3b.png"),
    ("Emacs", "emacs", "emacs.png"),
    ("Cervisia", "cervisia", "cervisia.png"),
    ("Mplayer", "mplayer", "mplayer.png"),
    ("Konqueror", "konqueror", "konqueror.png"),
    ("Mozilla Firefox", "firefox", "firefox.png"),
    ("Mozilla", "mozilla", "mozilla.png"),
    ("Opera", "opera", "opera.png"),
    ("Epiphany", "epiphany", "generic.png"),
    ("Evolution", "evolution", "evolution.png"),
    ("Kmail", "kmail", "kmail.png"),
    ("Gmplayer", "gmplayer", "mplayer.png"),
    ("Xine", "xine", "xine.png"),
    ("File-roller", "file-roller", "fileroller.png"),
    ("Totem", "totem", "totem.png"),
    ("Xmms", "xmms", "xmms.png"),
    ("Kaffeine", "kaffeine", "generic.png"),
    ("GXine", "gxine", "xine.png"),
]

import os
available_program_names = []
pathlist = os.environ['PATH'].split(os.pathsep)
for path in pathlist:
    # find prgs really there and allowed to execute
    for p in os.listdir(path):
        if os.access(os.path.join(path,p), os.X_OK):
            available_program_names.append(p)

programs = []
for program in configured_programs:
    title,cmd,icon = program
    programs.append(program)


def second3( x):
    (a1, a2, a3) = x
    return a2

configured_and_availab_prog_names = [second3(p) for p in configured_programs if second3(p) in available_program_names]
