"""
    supported verbs configuration
"""
supports = [
    ( 'Search directory', 'Kfind'),
    ( 'Toggle scrolling buttons always visible', 'Logical Desktop'),
    ( 'Set mouse speed', 'Kde control center'),
    ( 'Change keyboard layout', 'Kde control center'),
    ( 'Change keyboard repeat speed', 'Kde control center'),
    ( 'Set mouse cursor theme', 'Kde control center'),
    ( 'Configure mouse clicking behaviour', 'Kde control center'),

    ( 'Take a snapshot of your screen', 'Ksnapshot'),
    ( 'Take a snapshot of your screen', 'Gnome screenshot'),

    ( 'Share and download files over the internet', 'Xmule'),

    ( 'Rename multiple files at once', 'KRename'),

    ( 'Read newsgroups', 'Knode'),

    ( 'Read newsgroups', 'Pan'),

    ( 'View print queue', 'KJobViewer'),
    ( 'Set sound volume', 'Kmix'),
    ( 'Set sound volume', 'Aumix'),
    ( 'Move to trashcan', 'Trashcan'),
    ( 'Empty trashcan', 'Trashcan'),
    ( 'Restore file from trashcan', 'Trashcan'),

    ( 'View DVI file', 'Xdvi'),
    ( 'View DVI file', 'Kdvi'),

    ( 'View PS file', 'Kghostview'),

    ( 'View free space on disk', 'Kdiskfree'),

    ( 'Partition disk', 'Kparted'),
    ( 'Partition disk', 'QTparted'),
    ( 'Partition disk', 'Diskdrake'),

    ( 'Install a new program', 'Rpmdrake'),
    ( 'Install a new program', 'Synaptic'),

    ( 'Burn from ISO', 'K3b'),
    ( 'Erase CD-RW', 'K3b'),
    ( 'Burn from ISO', 'K3b'),
    ( 'Burn data CD', 'K3b'),
    ( 'Burn audio CD', 'K3b'),
    ( 'Burn video CD', 'K3b'),
    ( 'Setup K3B', 'K3b'),
    ( 'Burn CD from BIN and CUE files', 'K3b'),
    ( 'Burn CD from audio and CUE files', 'K3b'),

    ( 'Burn from ISO', 'Xcdroast'),
    ( 'Burn data CD', 'Xcdroast'),

    ( 'Play audio', 'Xmms'),
    ( 'Enqueue audio for playing', 'Xmms'),

    ('Browse the directory of this file', 'Nautilus'),

    ('Open terminal in directory', 'Gnome terminal'),
    ('Open terminal', 'Gnome terminal'),

    ('Open terminal in directory', 'Konsole'),
    ('Open terminal', 'Konsole'),

    ('Open terminal', 'ATerm'),

    ( 'Edit picture', 'The gimp'),
    ( 'View picture', 'The gimp'),
    ( 'Print picture', 'The gimp'),

    ( 'Print picture', 'Kuickshow'),
    ( 'View picture', 'Kuickshow'),
    ( 'Preview images contained in location', 'Kuickshow'),

    ( 'View picture', 'Eye of Gnome'),
    ( 'Print picture', 'Eye of Gnome'),
    ( 'Preview images contained in location', 'Eye of Gnome'),

    ( 'View picture', 'Gthumb'),

    ( 'Play movie', 'Totem'),
    ( 'Play audio', 'Totem'),
    ( 'Enqueue audio for playing', 'Totem'),
    ( 'Enqueue video for playing', 'Totem'),

    ( 'Play audio', 'RealPlayer'),
    ( 'Play movie', 'RealPlayer'),

    ( 'Play movie', 'Xine'),
    ( 'Play audio', 'Xine'),
    ( 'Enqueue audio for playing', 'Xine'),
    ( 'Enqueue video for playing', 'Xine'),

    ( 'Play movie with subtitle file', 'Mplayer'),
    ( 'Play movie with subtitle file and TrueType font', 'Mplayer'),
    ( 'Play movie', 'Mplayer'),

    ( 'Play movie with subtitle file', 'Gmplayer'),
    ( 'Play movie with subtitle file and TrueType font', 'Gmplayer'),
    ( 'Play movie', 'Gmplayer'),

    ( 'Play movie', 'Kaffeine'),
    ( 'Play audio', 'Kaffeine'),
    ( 'Enqueue audio for playing', 'Kaffeine'),
    ( 'Enqueue video for playing', 'Kaffeine'),

    ( 'Play movie', 'Gxine'),

    ( 'Download a file from the internet with resume', 'Kget'),
    ( 'Download a file from the internet with resume', 'Opera'),
    ( 'Download a file from the internet with resume', 'Downloader for X'),

    ( 'Edit plain text file', 'Emacs'),
    ( 'Create new text file', 'Emacs'),
    ( 'Print text file', 'Emacs'),
    ( 'Check mail', 'Emacs'),
    ( 'Compose a new email', 'Emacs'),

    ( 'Edit plain text file', 'Gvim'),
    ( 'Create new text file', 'Gvim'),
    ( 'Print text file', 'Gvim'),

    ( 'Edit plain text file', 'Gedit'),
    ( 'Print text file', 'Gedit'),
    ( 'Create new text file', 'Gedit'),

    ( 'Edit plain text file', 'Kwrite'),
    ( 'Print text file', 'Kwrite'),
    ( 'Create new text file', 'Kwrite'),

    ( 'Edit plain text file', 'OpenOfficeWriter'),
    ( 'Create new SXW file', 'OpenOfficeWriter'),
    ( 'Create new PDF file', 'OpenOfficeWriter'),
    ( 'Edit SXW file', 'OpenOfficeWriter'),
    ( 'Edit DOC file', 'OpenOfficeWriter'),
    ( 'View HTML file', 'OpenOfficeWriter'),
    ( 'Edit DOC file', 'abiWord'),

    ( 'View PDF', 'Xpdf'),

    ( 'View PDF', 'Gpdf'),
    ( 'Print PDF', 'Gpdf'),

    ( 'View PDF', 'Kpdf'),
    ( 'Print PDF', 'Kpdf'),

    ( 'View PDF', 'Acrobat reader'),
    ( 'Print PDF', 'Acrobat reader'),

    ( 'View PDF', 'Kghostview'),
    ( 'Print PDF', 'Kghostview'),

    ( 'Print PDF', 'Kprinter'),
    ( 'Print picture', 'Kprinter'),

    ('Transfer files to and from an FTP site', 'KBear'),
    ('Transfer files to and from an FTP site', 'gFTP'),

    ( 'Print PDF', 'Xpdf'),
    ( 'Print PDF', 'Gpdf'),

    ( 'Encrypt file', 'Kgpg'),

    ( 'Check mail', 'Kmail'),
    ( 'Compose a new email', 'Kmail'),
    ( 'Mail files as attachments', 'Kmail'),

    ( 'Check mail', 'Sylpheed'),
    ( 'Compose a new email', 'Sylpheed'),
    ( 'Mail files as attachments', 'Sylpheed'),

    ( 'Check mail', 'Mozilla'),
    ( 'View HTML file', 'Mozilla'),

    ( 'Check mail', 'Evolution'),
    ( 'Compose a new email', 'Evolution'),

    ( 'Rip CD', 'Kaudiocreator'),
    ( 'Rip CD', 'ripperX'),

    ('Rip DVD', 'Video-DVDrip'),

    ( 'View or terminate active processes', 'Kde system guard'),
    ( 'View free space on disk', 'Gnome system monitor'),
    ( 'View or terminate active processes', 'Gnome system monitor'),
    ( 'View CPU usage', 'Kde system guard'),
    ( 'View CPU usage', 'Gnome system monitor'),

    ( 'View memory usage', 'Gnome system monitor'),
    ( 'View SWAP use', 'Gnome system monitor'),

    ( 'Open directory with Cervisia', 'Cervisia'),

    ( 'Browse the internet', 'Mozilla'),
    ( 'Browse the internet', 'Mozilla Firefox'),

    ( 'Browse the internet', 'Konqueror'),
    ( 'Open with Konqueror', 'Konqueror'),
    ( 'View HTML file', 'Konqueror'),

    ( 'Browse the internet', 'Opera'),
    ( 'View HTML file', 'Opera'),

    ( 'Browse the internet', 'Galeon'),
    ( 'View HTML file', 'Galeon'),

    ( 'Browse the internet', 'Epiphany'),

    ( 'Extract archive', 'Ark'),
    ( 'Compress files', 'Ark'),
    ( 'View contents of archive', 'Ark'),


    ( 'Compress files separately', 'Bzip2'),
    ( 'Compress files separately', 'Zip'),
    ( 'Compress files separately', 'Gzip'),
    ( 'Compress files separately', 'Rar'),

    ( 'Extract archive', 'File-roller'),
    ( 'View files contained in RPM', 'File-roller'),
    ( 'Compress files', 'File-roller'),
    ( 'View contents of archive', 'File-roller'),

    ( 'View calendar and schedule', 'Korganizer'),
    ( 'View calendar and schedule', 'Evolution'),

    ( 'View calendar', 'Korganizer'),

    ( 'Edit TM file', 'TeXmacs'),

    ( 'Edit 3D picture', 'Blender'),
]


